# Uses of Class
org.apache.sysds.hops.fedplanner.FederatedMemoTable.FedPlanVariants

Packages that use FederatedMemoTable.FedPlanVariants
Package
Description
org.apache.sysds.hops.fedplanner

## Uses of FederatedMemoTable.FedPlanVariants in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner that return FederatedMemoTable.FedPlanVariants
Modifier and Type
Method
Description
`FederatedMemoTable.FedPlanVariants`
FederatedMemoTable.`getFedPlanVariants(org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput> fedPlanPair)`
Methods in org.apache.sysds.hops.fedplanner with parameters of type FederatedMemoTable.FedPlanVariants
Modifier and Type
Method
Description
`void`
FederatedMemoTable.`addFedPlanVariants(long hopID, FEDInstruction.FederatedOutput fedOutType, FederatedMemoTable.FedPlanVariants fedPlanVariants)`
Constructors in org.apache.sysds.hops.fedplanner with parameters of type FederatedMemoTable.FedPlanVariants
Modifier
Constructor
Description
``
`FedPlan(double cumulativeCost, FederatedMemoTable.FedPlanVariants fedPlanVariants, List<org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput>> childFedPlans)`